Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.esf
Interface CommitmentTypeIdentifier

    public interface CommitmentTypeIdentifier

Field Summary
`static DERObjectIdentifier` | `proofOfApproval`
`static DERObjectIdentifier` | `proofOfCreation`
`static DERObjectIdentifier` | `proofOfDelivery`
`static DERObjectIdentifier` | `proofOfOrigin`
`static DERObjectIdentifier` | `proofOfReceipt`
`static DERObjectIdentifier` | `proofOfSender`

Field Detail

### proofOfOrigin

    static final DERObjectIdentifier proofOfOrigin

### proofOfReceipt

    static final DERObjectIdentifier proofOfReceipt

### proofOfDelivery

    static final DERObjectIdentifier proofOfDelivery

### proofOfSender

    static final DERObjectIdentifier proofOfSender

### proofOfApproval

    static final DERObjectIdentifier proofOfApproval

### proofOfCreation

    static final DERObjectIdentifier proofOfCreation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD